Let's encrypt - certificate generation error

Discussion in '3CX Phone System - General' started by 3CXusername, Aug 26, 2016.

Thread Status:
Not open for further replies.
  1. 3CXusername

    3CXusername New Member

    Joined:
    Jul 31, 2014
    Messages:
    183
    Likes Received:
    16
    Upgrading one of our instance from v12.5 or fresh v15 SP1 install getting:

    Starting certificate generation...
    {
    "type": "urn:acme:error:malformed",
    "detail": "Provided agreement URL [https://letsencrypt.org/documents/LE-SA-v1.
    0.1-July-27-2015.pdf] does not match current agreement URL [https://letsencrypt.
    org/documents/LE-SA-v1.1.1-August-1-2016.pdf]",
    "status": 400
    }
    Error creating FQDN: {
    "TYPE": "URN:ACME:ERROR:MALFORMED",
    "DETAIL": "PROVIDED AGREEMENT URL [HTTPS://LETSENCRYPT.ORG/DOCUMENTS/LE-SA-V1.
    0.1-JULY-27-2015.PDF] DOES NOT MATCH CURRENT AGREEMENT URL [HTTPS://LETSENCRYPT.
    ORG/DOCUMENTS/LE-SA-V1.1.1-AUGUST-1-2016.PDF]",
    "STATUS": 400
    }

    Anyone have any ideas here?

    thanks in advance
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. 3CXusername

    3CXusername New Member

    Joined:
    Jul 31, 2014
    Messages:
    183
    Likes Received:
    16
    looks like something up with installer v15.0.56772.0. Downloaded v15.0.57336.0 and seems to be working.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    4,443
    Likes Received:
    282
    Yes there was an error with the previous installer after Let's encrypt did some changes. This was fixed in the latest installer and it is now working as intended.
     
Thread Status:
Not open for further replies.